###-----------------------------------------------------------------------------###
#
#	Project:TCRead.py
#	File: TC.py (Constants)	
#	Written By PiPlay
#	Licensed under Creative Commons Attribute CC-BY
#	V0.3  - April 2019
#
###-----------------------------------------------------------------------------###

#Commands

CR0=0x00
CR1=0x01
MASK=0x02
CJHF=0x03
CJLF=0x04
LTHFTH=0x05
LTHFTL=0x06
LTLFTH=0x07
LTLFTL=0x08
CJTO=0x09
CJTH=0x0A
CJTL=0x0B
LTCBH=0x0C
LTCBM=0x0D
LTCBL=0x0E
SR=0x0F

#Temperature conversion parameters.

MAX31856_CONST_THERM_BITS = 19
MAX31856_CONST_THERM_LSB = 2**-7
MAX31856_CONST_CJ_BITS = 14
MAX31856_CONST_CJ_LSB = 2**-6

#Mux Addressing
MUX1_EN		= 31
MUX2_EN		= 32

MUX_A0		= 35
MUX_A1		= 38
MUX_A2		= 40

FAULT 		= 33
READY		= 29
#Register Settings

#CR0
#CMODE 1SHOT OCFAULT1 OCFAULT0 CJ FAULT FAULTCLR 50/60Hz
CMODE_OFF 	= 0b00000000
CMODE_AUTO 	= 0b10000000
ONESHOT		= 0b01000000
OCFAULT_DISABLE = 0b00000000
OCFAULT_ENLT5 	= 0b00010000
OCFAULT_EN40LT2 = 0b00100000
OCFAULT_EN40GT2 = 0b00110000
CJDISABLE 	= 0b00001000
FAULTINT 	= 0b00000100
FAULTCLR 	= 0b00000010
NR50HZ 		= 0b00000001

#CR1
#Reserved AVGSEL 2 AVGSEL 1 AVGSEL 0 TC TYPE 3 TC TYPE 2 TC TYPE 1 TC TYPE 0

SAMP_1		= 0b00000000
SAMP_2		= 0b00010000
SAMP_4		= 0b00100000
SAMP_8		= 0b00110000
SAMP_16		= 0b01000000

TYPE_B 		= 0b00000000
TYPE_E		= 0b00000001
TYPE_J		= 0b00000010
TYPE_K		= 0b00000011
TYPE_N		= 0b00000100
TYPE_R		= 0b00000101
TYPE_S		= 0b00000110
TYPE_T		= 0b00000111
VMODEGN8	= 0b00001000
VMODEGN16	= 0b00001100

#MASK
OPNFLTMSK	= 0b00111100

#Useful Parameters
ERRTEMP		= -6666
