###-----------------------------------------------------------------------------###
#
#	Project:TCRead.py
#	File: TCspi.py(SPI bus manipulation)	
#	Written By PiPlay
#	Licensed under Creative Commons Attribute CC-BY
#	V0.3  - April 2019
#
###-----------------------------------------------------------------------------###
import TC

###-----------------------------------------------------------------------------###

def readreg( spi, command ):
	msg = [ command, 0x00 ]
	resp = spi.xfer2(msg)
	return resp[1]

###-----------------------------------------------------------------------------###

def writereg( spi, command, writeval ):
	command = command | 0x80
	msg = [ command, writeval ]
	spi.xfer2(msg)

###-----------------------------------------------------------------------------###

def get_temperature(spi):
	msg = [ TC.LTCBH, 0x00, 0x00, 0x00 ]
	resp = bytes([0x00, 0x00, 0x00])
	#resp = spi.xfer2(msg)
	resp = spi.xfer(msg)
	return resp
	
###-----------------------------------------------------------------------------###

def get_cjtemperature(spi):
	msg = [ TC.CJTH, 0x00, 0x00 ]
	resp = spi.xfer2(msg)
	return resp
