###-----------------------------------------------------------------------------###
#
#    Project:TCRead.py
#    File: TCtempconvert.py(Convert Maxim chip response to Celsius)    
#    Written By PiPlay
#    Licensed under Creative Commons Attribute CC-BY
#    V0.3  - April 2019
#
###-----------------------------------------------------------------------------###
import TC

def converttocelsius( byte2, byte1, byte0 ):
    temp_bytes = bytes([0x00, 0x00, 0x00])
    temp_bytes = (((byte2 & 0x7F) << 16) + (byte1 << 8) + byte0)
    temp_bytes = temp_bytes >> 5

    if byte2 & 0x80:
        temp_bytes -= 2**(TC.MAX31856_CONST_THERM_BITS -1)

    #        temp_bytes*value of LSB
    temp_c = temp_bytes*TC.MAX31856_CONST_THERM_LSB

    return temp_c 

###-----------------------------------------------------------------------------###

def cjconverttocelsius( msb, lsb ):
    temp_bytes = (((msb & 0x7F) << 8) + lsb) >> 2

    if msb & 0x80:
        # Negative Value.  Scale back by number of bits
        temp_bytes -= 2**(TC.MAX31856_CONST_CJ_BITS -1)

    #        temp_bytes*value of lsb
    temp_c = temp_bytes*TC.MAX31856_CONST_CJ_LSB

    return temp_c

###-----------------------------------------------------------------------------###

